/**
 * 
 */
package com.as.lyons.rest.svc.rtn;

/**
 * Detailed information about a Financial Institution Routing Number History.
 *  
 * @author kredding
 *
 */
public class RoutingNumberHistory {    
    private String archivedDate;
    private String datePublished;
    private String purpose;    
    private String routingNumber;
    private boolean useForTransactions = true;
    private boolean active = true;
    private Boolean preferred;
    private String fractional;

    /**
     * Gets the value of the archivedDate property.
     * 
     * @return
     *     The date the routing number record was archived (may be null for legacy records).
     *     
     */
    public String getArchivedDate() {
        return archivedDate;
    }

    /**
     * Sets the value of the archivedDate property.
     * 
     * @param value
     * 		An optional date.
     *     
     */
    public void setArchivedDate(String value) {
        this.archivedDate = value;
    }

    /**
     * Gets the value of the datePublished property.
     * 
     * @return
     *     The date the routing number record was first published in the system.
     *     
     */
    public String getDatePublished() {
        return datePublished;
    }

    /**
     * Sets the value of the datePublished property.
     * 
     * @param value
     * 		An optional date.
     *     
     */
    public void setDatePublished(String value) {
        this.datePublished = value;
    }

    /**
     * Gets the value of the purpose property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPurpose() {
        return purpose;
    }

    /**
     * Sets the value of the purpose property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPurpose(String value) {
        this.purpose = value;
    }

    /**
     * Gets the value of the routingNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRoutingNumber() {
        return routingNumber;
    }

    /**
     * Sets the value of the routingNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRoutingNumber(String value) {
        this.routingNumber = value;
    }
    
    /**
     * Gets the value of the useForTransactions property.
     * 
     * @return useForTransactions
     *     
     */
    public boolean getUseForTransactions() {
        return useForTransactions;
    }

    /**
     * Sets the value of the useForTransactions property.
     * 
     * @param value the useForTransactions to set
     *     
     */
    public void setUseForTransactions(boolean value) {
        this.useForTransactions = value;
    }
    
    /**
     * Gets the value of the active property.
     * 
     * @return active
     *     
     */
    public boolean getActive() {
        return active;
    }
       
    /**
     * Sets the value of the useForTransactions property.
     * 
     * @param value the active to set
     *     
     */
    public void setActive(boolean value) {
        this.active = value;
    }
    /**
     * Gets the value of the fractional property.
     * 
     * @return history
     *     
     */
	public String getFractional() {
		return fractional;
	}
	/**
     * Sets the value of the fractional property.
     * 
     * @param value the fractional to set
     *     
     */
	public void setFractional(String value) {
		this.fractional = value;
	}

	 /**
     * Gets the value of the preferred property.
     * 
     * @return preferred
     *     
     */
	public Boolean getPreferred() {
		return preferred;
	}

	/**
     * Sets the value of the preferred property.
     * 
     * @param value the preferred to set
     *     
     */
	public void setPreferred(Boolean value) {
		this.preferred = value;
	}
}